Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class ApplicationProject

    java.lang.Object
      org.apache.cayenne.project.Project
          org.apache.cayenne.project.ApplicationProject

    public class ApplicationProject

extends Project

Represents Cayenne application project.

Author:
  Andrus Adamchik

Field Summary
`protected Configuration` | `configuration`

Fields inherited from class org.apache.cayenne.project.Project
`CURRENT_PROJECT_VERSION, files, modified, projectDir, upgradeMessages, upgradeStatus`

Constructor Summary
`ApplicationProject(File projectFile)` Constructor for ApplicationProject.
`ApplicationProject(File projectFile, Configuration configuration)`

Method Summary
`void` | `checkForUpgrades()` Determines whether the project needs to be upgraded.
`List` | `getChildren()` Returns a list of first-level children of the project.
`Configuration` | `getConfiguration()` Returns Cayenne configuration object associated with this project.
`ConfigStatus` | `getLoadStatus()`
`protected void` | `loadProject()`
`protected void` | `postInitialize(File projectFile)` Initializes internal `Configuration` object and then calls super.
`ProjectFile` | `projectFileForObject(Object obj)` Returns appropriate ProjectFile or null if object does not require a file of its own.
`protected boolean` | `requiresMapFile(Object obj)`
`protected boolean` | `requiresNodeFile(Object obj)`
`protected boolean` | `requiresProjectFile(Object obj)`
`void` | `setConfiguration(ProjectConfiguration config)` Sets Cayenne configuration object associated with this project.
`void` | `upgrade()`

Methods inherited from class org.apache.cayenne.project.Project
`buildFileList, createProject, deleteFile, findFile, getMainFile, getProjectDirectory, getUpgradeMessages, getUpgradeStatus, getValidator, hasRenamedFiles, initialize, isLocationUndefined, isModified, prepareSave, processDelete, processSave, resolveFile, resolveSymbolicName, save, setModified, setProjectDirectory, treeNodes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### configuration

    protected Configuration configuration

Constructor Detail

### ApplicationProject

    public ApplicationProject(File projectFile)

  Constructor for ApplicationProject.

  Parameters:
    `projectFile` -

### ApplicationProject

    public ApplicationProject(File projectFile,
                              Configuration configuration)

Since:
  1.2

Method Detail

### upgrade

    public void upgrade()
                 throws ProjectException

  Specified by:
    `upgrade` in class `Project`
  Throws:
    `ProjectException`
  Since:
    1.1

### postInitialize

    protected void postInitialize(File projectFile)

  Initializes internal `Configuration` object and then calls super.

  Overrides:
    `postInitialize` in class `Project`

### loadProject

    protected void loadProject()

  Since:
    1.2

### getConfiguration

    public Configuration getConfiguration()

  Returns Cayenne configuration object associated with this project.

### setConfiguration

    public void setConfiguration(ProjectConfiguration config)

  Sets Cayenne configuration object associated with this project.

### checkForUpgrades

    public void checkForUpgrades()

  Description copied from class: `Project`
  Determines whether the project needs to be upgraded. Populates internal list of upgrade messages with discovered information.

  Specified by:
    `checkForUpgrades` in class `Project`

### getChildren

    public List getChildren()

  Description copied from class: `Project`
  Returns a list of first-level children of the project.

  Specified by:
    `getChildren` in class `Project`
  See Also:
    `Project.getChildren()`

### projectFileForObject

    public ProjectFile projectFileForObject(Object obj)

  Returns appropriate ProjectFile or null if object does not require a file of its own. In case of ApplicationProject, the nodes that require separate filed are: the project itself, each DataMap, each driver DataNode.

  Specified by:
    `projectFileForObject` in class `Project`

### requiresProjectFile

    protected boolean requiresProjectFile(Object obj)

### requiresMapFile

    protected boolean requiresMapFile(Object obj)

### requiresNodeFile

    protected boolean requiresNodeFile(Object obj)

### getLoadStatus

    public ConfigStatus getLoadStatus()

  Specified by:
    `getLoadStatus` in class `Project`
  Returns:
    An object describing failures in the loaded project.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.